//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ImgList.hpp>
#include "TrayIcon.h"
#include <Buttons.hpp>
#include <Menus.hpp>

//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TButton *btnStartAnimate;
	TImageList *ImageList;
	TButton *btnStopAnimate;
	TButton *btnShowInTray;
	TButton *btnHideFromTray;
	TButton *btnSetDefaultIcon;
	TPopupMenu *PopupMenu;
	TMenuItem *rayIcontest1;
	TMenuItem *N1;
	TMenuItem *miExit;
	TButton *btnShowInTrayHide;
	TEdit *edHint;
	TButton *btnSetHint;
	void __fastcall btnStartAnimateClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall btnStopAnimateClick(TObject *Sender);
	void __fastcall btnShowInTrayClick(TObject *Sender);
	void __fastcall btnHideFromTrayClick(TObject *Sender);
	void __fastcall btnSetDefaultIconClick(TObject *Sender);
	void __fastcall miExitClick(TObject *Sender);
	void __fastcall btnShowInTrayHideClick(TObject *Sender);
	void __fastcall btnSetHintClick(TObject *Sender);
	void __fastcall rayIcontest1Click(TObject *Sender);
private:	// User declarations
	TrayIcon *trIcon;
	// icon handlers:
	void __fastcall OnIconLeftBtnDown(TObject *Sender);

public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
